Solo bundles
Set solo bundle enabled
Enable or disable a standalone media bundle for use in the creator's sales flow.
PATCH
/v1/agencies/{agencyId}/creators/{creatorId}/solo-bundles/{bundleId}/activationEnable or disable a standalone media bundle for use in the creator's sales flow.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
bundleId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/solo-bundles/string/activation" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "data": { "enabled": true, "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "price": 0, "updatedAt": "2019-08-24T14:15:22Z", "content": null, "position": 0, "title": "string", "isAiCaption": true, "pricingMode": "FIXED", "isGiftable": true, "intensityTier": 0, "floorPrice": 0, "medias": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "position": 0, "bundleId": "string", "mediaId": "string", "isPreview": true, "media": { "type": "PHOTO", "context": null, "creatorId": null, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "price": 0, "tags": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z", "duration": null, "isSoloPpv": true, "basePrice": 0, "maxPrice": 0, "creatorTags": [ "string" ], "files": { "full": "string", "preview": "string", "thumb": "string" } } } ] }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}